import util.CollectionUtil;

/**
 * @author Heiner Kcker
 */
public class TestServer
implements ProtocolHandlerInterface
{

  /**
   * Constructor
   */
  private TestServer()
  {
    ;
  }

  /**
   * @param args
   */
  public static void main(
      String[] args )
  {
    final TestServer testServer = new TestServer();
    //final ProtocolServerBlocked protocolServer = new ProtocolServerBlocked( 30030, testServer );
    final ProtocolServerNonBlocked protocolServer = new ProtocolServerNonBlocked( 30030, testServer );
    protocolServer.start();
    System.out.println( testServer.getClass().getName() + " started" );
  }

  /* (non-Javadoc)
   * @see ProtocolHandlerInterface#excute(short, java.lang.Object[], short, int)
   */
  public Object[] excute(
      short pOpCode ,
      Object[] pParamObjArr ,
      short pRequestId ,
      int pSessionId )
  {
    System.out.println( "OpCode: " + pOpCode);
    System.out.println( "ParamObjArr: " + CollectionUtil.toStr( pParamObjArr ) );
    System.out.println( "RequestId: " + pRequestId);
    System.out.println( "SessionId: " + pSessionId);
    return pParamObjArr;
  }

  /* (non-Javadoc)
   * @see ProtocolHandlerInterface#isResponseToCompress()
   */
  public boolean isResponseToCompress()
  {
    return true;
  }

}
