package util;

/**
 * Diese Klasse hlt (wrappt) einen zu komprimierenden
 * Protkoll-Paramter.
 * Dadurch kann die if-instanceof-Kaskade in der 
 * {@link util.SerialUtil util.SerialUtil-Klasse} erkennen, 
 * dass der entsprechende Paramter komprimiert werden soll.
 * 
 * @author Heiner Kcker
 */
public class GzipHolder
{
  /**
   * zu komprimierendes Objekt.
   * (darf auch null sein)
   */
  public final Object objToCompress;

  /**
   * Constructor
   */
  public GzipHolder(
      final Object pObjToCompress)
  {
    this.objToCompress = pObjToCompress;
  }

}
