package util;

/**
 * Util class.
 * 
 * @author Heiner Kcker
 */
public class ThreadUtil 
{

    /**
	 * Our Logger
	 */
	//private static Logger log = LogUtil.getLogger(ThreadUtil.class);

	/**
	 * Thread.slepp(...) wrapped for {@link InterruptedException}.
	 * InterruptedException stills unhandled.
     * 
	 * @param pTime
	 * @throws InterruptedException
	 */
	public final static void sleepUnhandled(final long pTime) 
    {
		try 
        {
			Thread.sleep(pTime);
		} 
        catch (InterruptedException e) 
        {
			//log.error("", e);
			// throw e;
		}
	}

}
