/**
 * This interface have to implement
 * the the protocol server handler classes.
 * 
 * @author Heiner Kcker
 */
public interface ProtocolHandlerInterface
{
  /** execute the client request */
  public Object[] excute(
      final short pOpCode,
      final Object[] pParamObjArr,
      final short pRequestId,
      final int pSessionId);
  
  /** information for the protocol server whether the response is to compress */
  public boolean isResponseToCompress();
}
